%define ISONAME ISO8859-7
Name: XFree86-%{ISONAME}
Version: 1.0
Release: 9
Copyright: distributable
Source: http://hq.hellug.gr/~graphis/packages/xfntgr-full-0.9-1.tar.gz
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Greek language fonts for the X Window System.
Prereq: /usr/sbin/chkfontpath

%description
If you use the X Window System and you want to display Greek
fonts, you should install the XFree86-ISO8859-7 package.

This package contains a full set of Greek fonts, in
compliance with the ISO 8859-7 standard.

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Summary: ISO 8859-7 fonts in 75 dpi resolution for the X Window System.
Group: User Interface/X
Requires: XFree86 > 3.2
Prereq: /usr/sbin/chkfontpath

%description 75dpi-fonts
The XFree86-ISO8859-2-75dpi-fonts package contains a set of Greek
language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.
 
If you are installing the X Window System and you need to display
Greek language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.  If
you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.


%package 100dpi-fonts
Summary: ISO 8859-7 fonts in 100 dpi resolution for the X Window System.
Group: User Interface/X
Requires: XFree86 > 3.2
Prereq: /usr/sbin/chkfontpath

%description 100dpi-fonts
The XFree86-ISO8859-7-100dpi-fonts package includes Greek Language
(ISO 8859-7) fonts, in 100 dpi resolution, for the X Window System.
 
If you need to display the special characters used by the Greek
language on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-ISO8859-7-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

%package Type1-fonts
Summary: Type 1 scalable Greek (ISO 8859-7 ) fonts
Group: User Interface/X
Requires: XFree86 > 3.2
Prereq: /usr/sbin/chkfontpath

%description Type1-fonts
The XFree86-ISO8859-7-Type1-fonts package contains Greek language
Type 1 fonts for the X Window System.  This set of fonts is known as
the hellas collection.  All of the included fonts are
copyrighted to their authors and freeware.  Original fonts were taken
from the Internet or CDs.
 
If you need to display Greek language fonts on your X
Window System, you should install the XFree86-ISO8857-2-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%prep
%setup -q -n hellas

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}/{misc,75dpi,100dpi,Type1}
cp misc/* $RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}/misc
cp 75dpi/* $RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}/75dpi
cp 100dpi/* $RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}/100dpi
cp Type1/* $RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}/Type1


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi
fi

%post Type1-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1

%postun Type1-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1
fi

%files
%defattr(-,root,root)
%doc copyright/*
%dir /usr/share/fonts/%{ISONAME}/misc
/usr/share/fonts/%{ISONAME}/misc/*pcf.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/misc/fonts.*

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/75dpi
/usr/share/fonts/%{ISONAME}/75dpi/*pcf.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/75dpi/fonts.*

%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/100dpi
/usr/share/fonts/%{ISONAME}/100dpi/*pcf.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/100dpi/fonts.*

%files Type1-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/Type1
/usr/share/fonts/%{ISONAME}/Type1/*afm
/usr/share/fonts/%{ISONAME}/Type1/*pfb
/usr/share/fonts/%{ISONAME}/Type1/Fontmap
%config(noreplace) /usr/share/fonts/%{ISONAME}/Type1/fonts.*


%changelog
* Mon Dec 11 2000 Than Ngo <than@redhat.com>
- rebuilt with the fixed fileutils

* Thu Nov 16 2000 Than Ngo <than@redhat.com>
- add missing Prereq on /usr/sbin/chkfontpath

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Tue Sep 09 1999 Preston Brown <pbrown@redhat.com>
- included hellas collection instead of old set.

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fix descriptions

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- config files are noreplace.

* Tue Aug 17 1999 Preston Brown <pbrown@redhat.com>
- created new package.
